Package com.sas.lsaf.query

## Enum Comparison.Operator

- java.lang.Object
- - java.lang.Enum<Comparison.Operator>
  - - com.sas.lsaf.query.Comparison.Operator

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Comparison.Operator>`
  Enclosing class:
    Comparison

      public static enum Comparison.Operator
      extends java.lang.Enum<Comparison.Operator>

  The method with which to evaluate data that is compared to a value.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EQUAL` | Equal to.
    `GREATER_THAN` | Greater than.
    `GREATER_THAN_OR_EQUAL` | Greater than or equal to.
    `LESS_THAN` | Less than.
    `LESS_THAN_OR_EQUAL` | Less than or equal to.
    `LIKE` | Equates to true if the value matches a pattern.
    `NOT_EQUAL` | Not equal to.
    `NOT_LIKE` | Equates to true if the value does not matches the pattern.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Comparison.Operator` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Comparison.Operator[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final Comparison.Operator EQUAL

      Equal to.

    - #### NOT_EQUAL

          public static final Comparison.Operator NOT_EQUAL

      Not equal to.

    - #### LESS_THAN

          public static final Comparison.Operator LESS_THAN

      Less than.

    - #### GREATER_THAN

          public static final Comparison.Operator GREATER_THAN

      Greater than.

    - #### LESS_THAN_OR_EQUAL

          public static final Comparison.Operator LESS_THAN_OR_EQUAL

      Less than or equal to.

    - #### GREATER_THAN_OR_EQUAL

          public static final Comparison.Operator GREATER_THAN_OR_EQUAL

      Greater than or equal to.

    - #### LIKE

          public static final Comparison.Operator LIKE

      Equates to true if the value matches a pattern. Wildcards are supported with this operator.

    - #### NOT_LIKE

          public static final Comparison.Operator NOT_LIKE

      Equates to true if the value does not matches the pattern. Wildcards are supported with this operator.

  - ### Method Detail

    - #### values

          public static Comparison.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Comparison.Operator c : Comparison.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Comparison.Operator valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null